Package org.eclipse.ui.texteditor

# Interface IStatusFieldExtension

All Known Implementing Classes:
  `StatusLineContributionItem`

public interface IStatusFieldExtension
Extends `IStatusField` with the following concepts:

- set error text and image
- set tool tip
- control visibility

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`setErrorImage(Image image)`
Sets the error image of this status field.
`void`
`setErrorText(String text)`
Sets the text of this status field.
`void`
`setToolTipText(String string)`
Sets tool tip text for this status field.
`void`
`setVisible(boolean visible)`
Sets whether this status field is visible within the status line.

## Method Details

### setErrorText

void setErrorText(String text)
Sets the text of this status field.

The error text overrides the current text until the error text is cleared (set to `null`).

Parameters:
  `text` - the error text shown in the status field or `null` to clear
See Also:
  - `IStatusField.setText(String)`

### setErrorImage

void setErrorImage(Image image)
Sets the error image of this status field.

The error image overrides the current image until the error image is cleared (set to `null`).

Parameters:
  `image` - the error image shown in the status field or `null` to clear
See Also:
  - `IStatusField.setImage(Image)`

### setToolTipText

void setToolTipText(String string)
Sets tool tip text for this status field.

Parameters:
  `string` - the new tool tip text or `null` to clear

### setVisible

void setVisible(boolean visible)
Sets whether this status field is visible within the status line.

Parameters:
  `visible` - `true` if this item should be visible, `false` otherwise